org.apache.tinkerpop.gremlin.util.function

## Class Lambda.UnknownArgLambda

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda
  - - org.apache.tinkerpop.gremlin.util.function.Lambda.UnknownArgLambda

- All Implemented Interfaces:
    Serializable, Lambda
  Enclosing interface:
    Lambda

      public static class Lambda.UnknownArgLambda
      extends Lambda.AbstractLambda

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `Lambda.AbstractLambda, Lambda.BinaryLambda<A>, Lambda.OneArgLambda<A,B>, Lambda.TwoArgLambda<A,B,C>, Lambda.UnaryLambda<A>, Lambda.UnknownArgLambda, Lambda.ZeroArgLambda<A>`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `DEFAULT_LAMBDA_LANGUAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownArgLambda(String lambdaSource, String lambdaLanguage, int lambdaArguments)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda

      `equals, getLambdaArguments, getLambdaLanguage, getLambdaScript, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `biFunction, biFunction, binaryOperator, comparator, comparator, consumer, consumer, function, function, predicate, predicate, supplier, supplier, unaryOperator, unaryOperator`

- - ### Constructor Detail

    - #### UnknownArgLambda

          public UnknownArgLambda(String lambdaSource,
                                  String lambdaLanguage,
                                  int lambdaArguments)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.